GROUPADD(8)

NOM
groupadd - Créer un nouveau groupe

SYNOPSIS

groupadd [options] groupe

DESCRIPTION

La commande groupadd crée un nouveau compte de groupe en utilisant les valeurs spécifiées sur la ligne de commande et les valeurs par défaut du système. Le nouveau groupe sera inséré dans les fichiers du système selon les besoins.

OPTIONS

Les options disponibles pour la commande groupadd sont :

-f, --force
    Avec cette option, la commande quittera juste avec un état de succès si le groupe indiqué existe déjà. Avec l'option -g, si l'identifiant de groupe indiqué existe déjà, un autre identifiant de groupe (non utilisé) sera choisi (c.-à-d. que -g est désactivée).

-g, --gid GID
    La valeur numérique de l'identifiant du groupe (« group ID » ou GID). Cette valeur doit être unique, sauf si l'option -o est utilisée. La valeur ne doit pas être négative. Par défaut, le plus petit identifiant supérieur au GID_MIN et aux identifiants des groupes existants est utilisé.

    Voir aussi aussi la description des options -r et GID_MAX.

-h, --help
    Afficher un message d'aide et quitter.

-K, --key CLÉ=VALEUR
    Surcharger les valeurs par défaut du fichier /etc/login.defs (GID_MIN, GID_MAX et autres). L'option -K peut être indiquée plusieurs fois.

    Exemple : -K GID_MIN=10 -K GID_MAX=499

    Remarque : -K GID_MIN=10,GID_MAX=499 ne fonctionne pas pour l'instant.

-o, --non-unique
    Cette option permet d'ajouter un groupe avec un identifiant (« GID ») déjà utilisé.

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le mot de passe.

    Remarque : l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

-r, --system
    Créer un groupe système.

    Les identifiants numériques des nouveaux groupes systèmes sont choisis dans l'intervalle SYS_GID_MIN-SYS_GID_MAX, défini dans login.defs, au lieu de GID_MIN-GID_MAX

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

GID_MAX (nombre), GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création des groupes normaux.

    La valeur par défaut pour GID_MIN (respectivement GID_MAX) est 1000 (respectivement 60000).

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

SYS_GID_MAX (nombre), SYS_GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création de groupes système.

    La valeur par défaut pour SYS_GID_MIN (respectivement SYS_GID_MAX) est 101 (respectivement GID_MIN-1).

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

AVERTISSEMENTS

Les noms de groupe doivent commencer par une lettre minuscule ou un tiret bas (« underscore »), et seuls des lettres minuscules, des chiffres, des « underscore », ou des tirets peuvent suivre. Ils peuvent se terminer par un signe dollar. Soit, sous la forme d'une expression rationnelle : [a-z_][a-z0-9_-]*[$]?

Les noms de groupe sont limités à 16 caractères.

Vous ne pouvez pas ajouter d'utilisateur à un groupe NIS ou LDAP. Cela doit être effectué sur le serveur correspondant.

Si le nom du groupe existe dans une base de données externe, telle que NIS ou LDAP, groupadd refusera de créer le groupe.

VALEURS DE RETOUR

La commande groupadd retourne les valeurs suivantes en quittant :

0
    succès

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    GID déjà utilisé (et -o n'est pas utilisé)

9
    nom de groupe déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).